Package org.eclipse.rdf4j.query.algebra.evaluation.iterator

## Class QueryContextIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<BindingSet,​QueryEvaluationException>
  - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.QueryContextIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      public class QueryContextIteration
      extends AbstractCloseableIteration<BindingSet,​QueryEvaluationException>

  Makes a `QueryContext` available during iteration.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryContextIteration​(CloseableIteration<? extends BindingSet,​QueryEvaluationException> iter, QueryContext queryContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleClose()` | Called by `AbstractCloseableIteration.close()` when it is called for the first time.
    `boolean` | `hasNext()` | Returns true if the iteration has more elements.
    `BindingSet` | `next()` | Returns the next element in the iteration.
    `void` | `remove()` | Removes from the underlying collection the last element returned by the iteration (optional operation).

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### QueryContextIteration

          public QueryContextIteration​(CloseableIteration<? extends BindingSet,​QueryEvaluationException> iter,
                                       QueryContext queryContext)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()
                          throws QueryEvaluationException

      Description copied from interface: `Iteration`
      Returns true if the iteration has more elements. (In other words, returns true if `Iteration.next()` would return an element rather than throwing a NoSuchElementException.)
      Returns:
        true if the iteration has more elements.
      Throws:
        `QueryEvaluationException`

    - #### next

          public BindingSet next()
                          throws QueryEvaluationException

      Description copied from interface: `Iteration`
      Returns the next element in the iteration.
      Returns:
        the next element in the iteration.
      Throws:
        `QueryEvaluationException`

    - #### remove

          public void remove()
                      throws QueryEvaluationException

      Description copied from interface: `Iteration`
      Removes from the underlying collection the last element returned by the iteration (optional operation). This method can be called only once per call to next.
      Throws:
        `QueryEvaluationException`

    - #### handleClose

          public void handleClose()
                           throws QueryEvaluationException

      Description copied from class: `AbstractCloseableIteration`
      Called by `AbstractCloseableIteration.close()` when it is called for the first time. This method is only called once on each iteration. By default, this method does nothing.
      Overrides:
        `handleClose` in class `AbstractCloseableIteration<BindingSet,​QueryEvaluationException>`
      Throws:
        `QueryEvaluationException`